#!/usr/bin/python3
#/* vim:set ts=2 set noexpandtab */
from flask import Flask, render_template, url_for, request
app = Flask(__name__)

@app.route("/")
def index():
    return render_template("search.html")

@app.route("/categorys")
def categorys():
    return render_template("categorys.html")

@app.route("/create")
def create():
    return render_template("create.html")

@app.route("/search", methods=['GET'])
def search():
    return render_template("result.html", results=request.args.get("q", ""))

if __name__ == "__main__":
    app.run(debug=True)
